Kerbal Space Program - Bug #452

Selected a magical unknown ship from the map view
03/18/2013 09:55 PM - merinsan

Status: Closed Start date: 03/18/2013
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.191 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

I am running version 0.19.1 currently. This also happened in 0.19.

Due to another issue, where double clicking no longer seems to work well in the map view, I've found that it sometimes works when
clicking madly. The problem is, when | do this, | sometimes get this weird issue where | select a "ship" named soaledShip (I think).
This ship was not created by me. It's magical because it is invisible, has no velocity, and no orbit.

Once this thing is selected, | can't select anything else. | can toggle between the map view and ship view.

In the ship view, | can't rotate the camera, or do anything (except switch to map view or docking control). | can't time accelerate in
either view. In the ship view, | hear some sound like a rocket firing slowly.

| can't exit to the space center or end the flight. So once here, | have to kill the game. Interestingly, in the map view, | can see time is
still progressing (objects still orbit).

History

#1 - 03/21/2013 08:43 AM - gloowa
- File ksp_vessel_switch_bug.png added
- Platform Windows added

| was unable to reproduce this BUT i did encounter a bug when switch vehicles:

For several first times i switched vessels, everything went ok, but then, i focused to Kerbin, and then i switched to vessel. result can be see in
attached image.

| do recall seeing this something like this reported before, so it may be unrelated to reported issue.

#2 - 03/21/2013 04:16 PM - merinsan

| did experience this once also, but it wasn't something | could reproduce again.

Some additional information which may be relevant.

| was trying to select Debris. It worked for some debris, but not others.

| had a lot of debris floating in space at the time, which | have since deleted, thinking it may help.
| believe | was also focused on Kerbin.

I've not had this problem since deleting the debris, but | also haven't been trying to select debris like this and have been using the tracking station.

#3 - 08/16/2013 11:29 AM - Ted
- Category set to Gameplay
- Severity changed from High to Normal

Does this still occur in 0.21.1?

#4 - 07/20/2015 09:59 PM - Squelch
- Status changed from New to Resolved

- % Done changed from 0 to 100

Marking as resolved in lieu of no further reports or feedback.
Much has changed since this report, and it may have been patched out with other changes.
#5 - 07/27/2015 05:55 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#6 - 07/17/2016 09:17 AM - TriggerAu

- Status changed from Resolved to Closed

Files
